import gql from 'graphql-tag';

export const contactsAdminApiExtensions = gql`
  extend type Query {
    contactsForm(id: ID!): Contacts!
  }

  extend type Mutation {
    submitContactsForm(input: ContactFormInput!): Contacts!
  }

  input ContactFormInput {
    name: String!
    email: String!
    message: String!
  }

  type Contacts {
    id: ID!
    name: String!
    email: String!
    message: String!
  }
`;

export const adminApiExtensions = gql`
  ${contactsAdminApiExtensions}
`;
