import { VendureEvent, RequestContext } from '@vendure/core';

import { ContactFormInput } from '../types';

/**
 * This event is fired whenever a contact form is submitted.
 */
export class ContactSubmittedEvent extends VendureEvent {
  constructor(
    public ctx: RequestContext,
    public input: ContactFormInput
  ) {
    super();
  }
}
