import { VendureEvent, RequestContext } from '@vendure/core';
import { ProductContactFormInput } from '../types';

/**
 * This event is fired whenever a product contact form is submitted.
 */
export class ProductContactSubmittedEvent extends VendureEvent {
  constructor(
    public ctx: RequestContext,
    public input: ProductContactFormInput
  ) {
    super();
  }
}
