import { PluginCommonModule, VendurePlugin } from '@vendure/core';
import { WebhookController } from './controller/webhook.controller';
import { FulfillmentSubscriber } from './suscribers/fulfillment-subscriber';

@VendurePlugin({
  imports: [PluginCommonModule],
  controllers: [WebhookController],
  providers: [FulfillmentSubscriber],
  compatibility: '^2.0.0',
})
export class WebhookPlugin {}
