import { Injectable } from '@nestjs/common';
import { TransactionalConnection, Administrator } from '@vendure/core';

@Injectable()
export class AdminService {
  constructor(private connection: TransactionalConnection) {}

  async getAllAdminEmails(): Promise<string[]> {
    const administrators = await this.connection.rawConnection.getRepository(Administrator).find();
    return administrators.map(admin => admin.emailAddress);
  }
}
