import { PluginCommonModule, registerPluginStartupMessage, VendurePlugin } from '@vendure/core';
import { ProductsController } from './api/products.controller';

@VendurePlugin({
  imports: [PluginCommonModule],
  controllers: [ProductsController],
})
export class RestPlugin {
    configure() {
        registerPluginStartupMessage('Product server', 'product');
    }
}